Bug 975681 - Mouse pointer does not show on ThinkPad T510 until touchpad is engaged
Mouse pointer does not show on ThinkPad T510 until touchpad is engaged
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 02:23 EDT by Bojan Smojver
Modified: 2015-02-17 10:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:37:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Smojver 2013-06-19 02:23:13 EDT
Description of problem:
On boot and login to Gnome, the mouse pointer is not showing until the touchpad is engaged. After that, all subsequent X sessions, even after suspend, do have the pointer.

I have no idea whether this is the correct component to report this bug against. But, I guess we have to start somewhere.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.21.8-1.fc19.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Boot, login to Gnome.
2. Mouse pointer doesn't show.
3. Touch the touchpad, mouse pointer shows.

Actual results:
No mouse pointer on first login.

Expected results:
Was not a problem before F-19.

Additional info:
[    1.529720] usb 1-1.2: Product: DELL USB Laser Mouse
[    1.529815] usb 1-1.2: Manufacturer: DELL
[    1.534883] input: DELL DELL USB Laser Mouse as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input4
[    1.535450] hid-generic 0003:046D:C063.0001: input,hidraw0: USB HID v1.10 Mouse [DELL DELL USB Laser Mouse] on usb-0000:00:1a.0-1.2/input0

[    1.766995] psmouse serio1: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000, board id: 71, fw id: 578367
[    1.767148] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
[    1.823261] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input5
Comment 1 Benjamin Tissoires 2013-06-19 06:33:22 EDT
wrong component, reassigning it to gnome-settings-daemon
Comment 2 Ray Strode [halfline] 2013-06-19 07:24:16 EDT
just the touchpad makes it show up, or any mouse?

It's by design the the mouse pointer doesn't show up until the mouse is moved.
Comment 3 Bojan Smojver 2013-06-19 10:24:37 EDT
Moving the mouse does not do it. Only touching the touchpad shows the pointer. After that, everything becomes normal.
Comment 4 Fedora End Of Life 2015-01-09 13:28:20 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 10:37:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.